package com.coherentlogic.fred.client.core.domain;

import static com.coherentlogic.fred.client.core.util.Constants.REALTIME_BOUND;
import static com.coherentlogic.fred.client.core.util.Constants.REALTIME_END;
import static com.coherentlogic.fred.client.core.util.Constants.REALTIME_START;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * A default implementation of the {@link RealtimeBoundSpecification}.
 *
 * @deprecated No classes currently extend from here so this will be removed in
 *  the near future.
 *
 * @author <a href="support@coherentlogic.com">Support</a>
 */
@Entity
@Table(name=REALTIME_BOUND)
public class AbstractRealtimeBound extends DefaultObject
    implements RealtimeBoundSpecification {

    private static final long serialVersionUID = 5866847583577235407L;

    @XStreamAlias(REALTIME_START)
    @XStreamAsAttribute
    private Date realtimeStartDate = null;

    @XStreamAlias(REALTIME_END)
    @XStreamAsAttribute
    private Date realtimeEndDate = null;

    @Override
    public void setRealtimeStart(Date realtimeStartDate) {
        this.realtimeStartDate = clone (realtimeStartDate);
    }

    @Override
    public void setRealtimeEnd(Date realtimeEndDate) {
        this.realtimeEndDate = clone (realtimeEndDate);
    }

    @Override
    public Date getRealtimeStart() {
        return clone (realtimeStartDate);
    }

    @Override
    public Date getRealtimeEnd() {
        return clone (realtimeEndDate);
    }
}
